### Function

# AppStreamCompose filename_from_url

since: 1.0

#### Declaration [src]

    gchar*
    asc_filename_from_url (
      const gchar* url
    )

#### Description [src]

Generate a filename from a web-URL that can be used to store the file on disk after download.

Available since: 1.0

#### Parameters

`url`

  Type: `const gchar*`

  The URL to extract a filename from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.